/**
 * Distribution License:
 * JSword is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License, version 2.1 as published by
 * the Free Software Foundation. This program is distributed in the hope
 * that it will be useful, but WITHOUT ANY WARRANTY; without even the
 * implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 *
 * The License is available on the internet at:
 *       http://www.gnu.org/copyleft/lgpl.html
 * or by writing to:
 *      Free Software Foundation, Inc.
 *      59 Temple Place - Suite 330
 *      Boston, MA 02111-1307, USA
 *
 * Copyright: 2005
 *     The copyright to this program is held by it's authors.
 *
 * ID: $Id: WorkListener.java 1776 2008-03-08 22:17:31Z dmsmith $
 */
package org.crosswire.common.progress;

import java.util.EventListener;

/**
 * Implement WorkListener and call MutableBook.addProgressListener()
 * to receive ProgressEvents when ever we make progress.
 *
 * @see gnu.lgpl.License for license details.<br>
 *      The copyright to this program is held by it's authors.
 * @author Joe Walker [joe at eireneh dot com]
 */
public interface WorkListener extends EventListener
{
    /**
     * This method is called to indicate that some progress has been made.
     * The amount of progress is indicated by ev.getPercent()
     * @param ev Describes the progress
     */
    void workProgressed(WorkEvent ev);
    void workStateChanged(WorkEvent ev);
}
